com.genesyslab.wfm8.API.service.config851

## Class CfgTimeOffBidPeriodShort

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config851.CfgTimeOffBidPeriodShort

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgTimeOffBidPeriodShort
      extends java.lang.Object
      implements java.io.Serializable

  Time Off Bidding Period Short
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmBUId`
    `protected double` | `wmEndDateTime`
    `protected java.lang.String` | `wmName`
    `protected double` | `wmProcessingDateTime`
    `protected java.util.List<java.lang.Integer>` | `wmSiteId`
    `protected int` | `wmSiteIdNSizeIs`
    `protected double` | `wmStartDateTime`
    `protected int` | `wmStatus`
    `protected int` | `wmTimeOffBidPeriodId`
    `protected int` | `wmTimezoneId`
    `protected int` | `wmType` `ECfgTimeOffBidPeriodType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgTimeOffBidPeriodShort()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmBUId()` Gets the value of the wmBUId property.
    `double` | `getWmEndDateTime()` Gets the value of the wmEndDateTime property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `double` | `getWmProcessingDateTime()` Gets the value of the wmProcessingDateTime property.
    `java.util.List<java.lang.Integer>` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmSiteIdNSizeIs()` Gets the value of the wmSiteIdNSizeIs property.
    `double` | `getWmStartDateTime()` Gets the value of the wmStartDateTime property.
    `int` | `getWmStatus()` Gets the value of the wmStatus property.
    `int` | `getWmTimeOffBidPeriodId()` Gets the value of the wmTimeOffBidPeriodId property.
    `int` | `getWmTimezoneId()` Gets the value of the wmTimezoneId property.
    `int` | `getWmType()` Gets the value of the wmType property.
    `int` | `hashCode()`
    `void` | `setWmBUId(int value)` Sets the value of the wmBUId property.
    `void` | `setWmEndDateTime(double value)` Sets the value of the wmEndDateTime property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmProcessingDateTime(double value)` Sets the value of the wmProcessingDateTime property.
    `void` | `setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)` Sets the value of the wmSiteId property.
    `void` | `setWmSiteIdNSizeIs(int value)` Sets the value of the wmSiteIdNSizeIs property.
    `void` | `setWmStartDateTime(double value)` Sets the value of the wmStartDateTime property.
    `void` | `setWmStatus(int value)` Sets the value of the wmStatus property.
    `void` | `setWmTimeOffBidPeriodId(int value)` Sets the value of the wmTimeOffBidPeriodId property.
    `void` | `setWmTimezoneId(int value)` Sets the value of the wmTimezoneId property.
    `void` | `setWmType(int value)` Sets the value of the wmType property.
    `java.lang.String` | `toString()`
    `CfgTimeOffBidPeriodShort` | `withWmBUId(int value)`
    `CfgTimeOffBidPeriodShort` | `withWmEndDateTime(double value)`
    `CfgTimeOffBidPeriodShort` | `withWmName(java.lang.String value)`
    `CfgTimeOffBidPeriodShort` | `withWmProcessingDateTime(double value)`
    `CfgTimeOffBidPeriodShort` | `withWmSiteId(java.util.Collection<java.lang.Integer> values)`
    `CfgTimeOffBidPeriodShort` | `withWmSiteId(java.lang.Integer... values)`
    `CfgTimeOffBidPeriodShort` | `withWmSiteIdNSizeIs(int value)`
    `CfgTimeOffBidPeriodShort` | `withWmStartDateTime(double value)`
    `CfgTimeOffBidPeriodShort` | `withWmStatus(int value)`
    `CfgTimeOffBidPeriodShort` | `withWmTimeOffBidPeriodId(int value)`
    `CfgTimeOffBidPeriodShort` | `withWmTimezoneId(int value)`
    `CfgTimeOffBidPeriodShort` | `withWmType(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmTimeOffBidPeriodId

          protected int wmTimeOffBidPeriodId

    - #### wmBUId

          protected int wmBUId

    - #### wmSiteIdNSizeIs

          protected int wmSiteIdNSizeIs

    - #### wmSiteId

          protected java.util.List<java.lang.Integer> wmSiteId

    - #### wmName

          protected java.lang.String wmName

    - #### wmType

          protected int wmType

      `ECfgTimeOffBidPeriodType`

    - #### wmStartDateTime

          protected double wmStartDateTime

    - #### wmEndDateTime

          protected double wmEndDateTime

    - #### wmProcessingDateTime

          protected double wmProcessingDateTime

    - #### wmTimezoneId

          protected int wmTimezoneId

    - #### wmStatus

          protected int wmStatus

  - ### Constructor Detail

    - #### CfgTimeOffBidPeriodShort

          public CfgTimeOffBidPeriodShort()

  - ### Method Detail

    - #### getWmTimeOffBidPeriodId

          public int getWmTimeOffBidPeriodId()

      Gets the value of the wmTimeOffBidPeriodId property.

    - #### setWmTimeOffBidPeriodId

          public void setWmTimeOffBidPeriodId(int value)

      Sets the value of the wmTimeOffBidPeriodId property.

    - #### getWmBUId

          public int getWmBUId()

      Gets the value of the wmBUId property.

    - #### setWmBUId

          public void setWmBUId(int value)

      Sets the value of the wmBUId property.

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the value of the wmSiteIdNSizeIs property.

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int value)

      Sets the value of the wmSiteIdNSizeIs property.

    - #### getWmSiteId

          public java.util.List<java.lang.Integer> getWmSiteId()

      Gets the value of the wmSiteId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSiteId property.

      For example, to add a new item, do as follows:

              getWmSiteId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmType

          public int getWmType()

      Gets the value of the wmType property.

    - #### setWmType

          public void setWmType(int value)

      Sets the value of the wmType property.

    - #### getWmStartDateTime

          public double getWmStartDateTime()

      Gets the value of the wmStartDateTime property.

    - #### setWmStartDateTime

          public void setWmStartDateTime(double value)

      Sets the value of the wmStartDateTime property.

    - #### getWmEndDateTime

          public double getWmEndDateTime()

      Gets the value of the wmEndDateTime property.

    - #### setWmEndDateTime

          public void setWmEndDateTime(double value)

      Sets the value of the wmEndDateTime property.

    - #### getWmProcessingDateTime

          public double getWmProcessingDateTime()

      Gets the value of the wmProcessingDateTime property.

    - #### setWmProcessingDateTime

          public void setWmProcessingDateTime(double value)

      Sets the value of the wmProcessingDateTime property.

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the value of the wmTimezoneId property.

    - #### setWmTimezoneId

          public void setWmTimezoneId(int value)

      Sets the value of the wmTimezoneId property.

    - #### getWmStatus

          public int getWmStatus()

      Gets the value of the wmStatus property.

    - #### setWmStatus

          public void setWmStatus(int value)

      Sets the value of the wmStatus property.

    - #### withWmTimeOffBidPeriodId

          public CfgTimeOffBidPeriodShort withWmTimeOffBidPeriodId(int value)

    - #### withWmBUId

          public CfgTimeOffBidPeriodShort withWmBUId(int value)

    - #### withWmSiteIdNSizeIs

          public CfgTimeOffBidPeriodShort withWmSiteIdNSizeIs(int value)

    - #### withWmSiteId

          public CfgTimeOffBidPeriodShort withWmSiteId(java.lang.Integer... values)

    - #### withWmSiteId

          public CfgTimeOffBidPeriodShort withWmSiteId(java.util.Collection<java.lang.Integer> values)

    - #### withWmName

          public CfgTimeOffBidPeriodShort withWmName(java.lang.String value)

    - #### withWmType

          public CfgTimeOffBidPeriodShort withWmType(int value)

    - #### withWmStartDateTime

          public CfgTimeOffBidPeriodShort withWmStartDateTime(double value)

    - #### withWmEndDateTime

          public CfgTimeOffBidPeriodShort withWmEndDateTime(double value)

    - #### withWmProcessingDateTime

          public CfgTimeOffBidPeriodShort withWmProcessingDateTime(double value)

    - #### withWmTimezoneId

          public CfgTimeOffBidPeriodShort withWmTimezoneId(int value)

    - #### withWmStatus

          public CfgTimeOffBidPeriodShort withWmStatus(int value)

    - #### setWmSiteId

          public void setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)

      Sets the value of the wmSiteId property.
      Parameters:
        `wmSiteId` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.